import React from "react";
import ReactDOM from "react-dom/client";
import App from "./App";
import "./App.scss";
import { io } from "socket.io-client";

const root = ReactDOM.createRoot(
  document.getElementById("root") as HTMLElement,
);
const socket = io("http://localhost:3010");
root.render(
  <React.StrictMode>
    <App socket={socket} />
  </React.StrictMode>,
);
